<!DOCTYPE html>
<html>
<head>
  <title>Profile</title>
  <style>
    body {
      background-color: #f1f1f1;
      margin: 0;
      padding: 0;
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    .header {
        background-color: #ff8c00;
        color: white;
        padding: 20px;
        text-align: center;
        font-size: 24px;
        font-weight: bold;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .menu-icon {
        display: inline-block;
        width: 30px;
        height: 20px;
        cursor: pointer;
    }

    .menu-icon span {
        display: block;
        width: 100%;
        height: 3px;
        background-color: white;
        margin: 5px 0;
    }

    .dropdown {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        background-color: #ff8c00;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        padding: 10px;
    }

    .menu-icon.active ~ .dropdown {
        display: block;
    }

    .container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: calc(100vh - 60px); /* Account for the header height */
    }

    .profile-pic {
        width: 200px;
        height: 200px;
        border-radius: 50%;
        object-fit: cover;
        margin-bottom: 20px;
    }

    .info-container {
        text-align: center;
    }

    .info-container h2 {
        font-size: 24px;
        margin-bottom: 10px;
    }

    .info-container p {
        font-size: 18px;
        margin-bottom: 10px;
    }

    .default-profile-pic {
        width: 200px;
        height: 200px;
        border-radius: 50%;
        object-fit: cover;
        margin-bottom: 20px;
        background-color: #ccc;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .default-profile-pic-text {
        color: white;
        font-size: 72px;
        font-weight: bold;
        text-transform: uppercase;
        line-height: 200px; /* Center the text vertically */
    }

    .username {
        font-size: 18px;
        font-weight: bold;
        margin-bottom: 10px;
    }

    .logout-btn {
        background-color: #ff8c00;
        color: white;
        padding: 10px 20px;
        border: none;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;
        margin-top: 10px;
    }

  </style>
</head>
<body>
    <div class="header">
        <div class="menu-icon" onclick="toggleMenu()">
            <span></span>
            <span></span>
            <span></span>
        </div>
        <div>Profile Info</div>
        <div class="dropdown" id="dropdown">
            <button class="logout-btn">Logout</button>
        </div>
    </div>
  
    <div class="container">
        <img class="profile-pic" src="pics/{{ profile_pic }}" alt="Profile Picture">
        <div class="info-container">
            <div class="username">{{ username }}</div>
            <h2>{{ first_name }} {{ last_name }}</h2>
            <p>Email: {{ email }}</p>
        </div>
    </div>

    <script>
        function toggleMenu() {
            const dropdown = document.getElementById('dropdown');
            dropdown.classList.toggle('active');
        }

        window.addEventListener('DOMContentLoaded', (event) => {
            const profilePic = document.querySelector('.profile-pic');
            profilePic.onerror = function() {
                profilePic.src = 'pics/Profile pic logo.png';
                profilePic.alt = 'Default Profile Picture';
            };
        });
    </script>
</body>
</html>
